%global srcname cloudservers

Name: python-cloudservers
Version: 1.2
Release: 18%{?dist}
Summary: Client library for Rackspace's Cloud Servers API

License: BSD
Url: http://packages.python.org/python-cloudservers
Source0: %{name}-%{version}.tar.gz

BuildArch: noarch

%description
This is a client for Rackspace's Cloud Servers API. There's a Python API (the
"cloudservers" module), and a command-line script ("cloudservers"). Each
implements 100% of the Rackspace API.

%package -n python2-%{srcname}
Summary: Client library for Rackspace's Cloud Servers API

BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python2-sphinx

Requires: python2-httplib2
Requires: python2-prettytable
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
This is a client for Rackspace's Cloud Servers API. There's a Python API (the
"cloudservers" module), and a command-line script ("cloudservers"). Each
implements 100% of the Rackspace API.

%package doc
Summary: Documentation for %{name}
Requires: python2-%{srcname} = %{version}-%{release}

%description doc
Documentation for %{name}


%prep
%setup -qn %{name}-%{version}
# Remove the argparse requirement from setup.py to avoid a traceback
# when invoking the cloudservers binary, since now that argparse is in
# stdlib, no egg-info is provided.
sed -i "s/'argparse', //g" setup.py

%build
%py2_build
pushd docs
make html
popd

%install
%py2_install


%files -n python2-%{srcname}
%{python2_sitelib}/cloudservers
%{python2_sitelib}/python_cloudservers-*.egg-info
%{_bindir}/cloudservers

%files doc
%doc docs/_build/html


%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.2-15
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Nov 28 2016 Charalampos Stratakis <cstratak@redhat.com> - 1.2-12
- Remove obsolete requirement on python-argparse
- Modernize SPEC

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 29 2011 Chris Lalancette <clalance@redhat.com> - 1.2-3
- Initial package.
